## libclc 0.2.0+git20190827

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.9.2 )

project( libclc VERSION 0.2.0 LANGUAGES CXX )
include( GNUInstallDirs )

# List of all targets
set( LIBCLC_TARGETS_ALL
  amdgcn--
  amdgcn--amdhsa
  r600--
  nvptx--
  nvptx64--
  nvptx--nvidiacl
  nvptx64--nvidiacl
)

set( LIBCLC_MIN_LLVM "3.9.0" )

set( LIBCLC_TARGETS_TO_BUILD "all"
    CACHE STRING "Semicolon-separated list of targets to build, or 'all'." )

option( ENABLE_RUNTIME_SUBNORMAL "Enable runtime linking of subnormal support."
OFF )

if( NOT LLVM_CONFIG )
	find_program( LLVM_CONFIG llvm-config )
endif()
execute_process( COMMAND ${LLVM_CONFIG} "--version"
	         OUTPUT_VARIABLE LLVM_VERSION
		 OUTPUT_STRIP_TRAILING_WHITESPACE )
message( "LLVM version: ${LLVM_VERSION}" )

if( ${LLVM_VERSION} VERSION_LESS ${LIBCLC_MIN_LLVM} )
	message( FATAL_ERROR "libclc needs at least LLVM ${LIBCLC_MIN_LLVM}" )
endif()

# mesa3d environment is only available since LLVM 4.0
if( ${LLVM_VERSION} VERSION_GREATER "3.9.0" )
	set( LIBCLC_TARGETS_ALL ${LIBCLC_TARGETS_ALL} amdgcn-mesa-mesa3d )
endif()

if( LIBCLC_TARGETS_TO_BUILD STREQUAL "all" )
	set( LIBCLC_TARGETS_TO_BUILD ${LIBCLC_TARGETS_ALL} )
endif()

list( SORT LIBCLC_TARGETS_TO_BUILD )

execute_process( COMMAND ${LLVM_CONFIG} "--system-libs"
	OUTPUT_VARIABLE LLVM_SYSTEM_LIBS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
execute_process( COMMAND ${LLVM_CONFIG} "--libs" "core" "bitreader" "bitwriter"
	OUTPUT_VARIABLE LLVM_LIBS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
execute_process( COMMAND ${LLVM_CONFIG} "--libdir"
	OUTPUT_VARIABLE LLVM_LIBDIR
	OUTPUT_STRIP_TRAILING_WHITESPACE )
execute_process( COMMAND ${LLVM_CONFIG} "--ldflags"
	OUTPUT_VARIABLE LLVM_LD_FLAGS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
execute_process( COMMAND ${LLVM_CONFIG} "--cxxflags"
	OUTPUT_VARIABLE LLVM_CXX_FLAGS
	OUTPUT_STRIP_TRAILING_WHITESPACE )
separate_arguments( LLVM_CXX_FLAGS )
execute_process( COMMAND ${LLVM_CONFIG} "--bindir"
	OUTPUT_VARIABLE LLVM_BINDIR
	OUTPUT_STRIP_TRAILING_WHITESPACE )

# These were not properly reported in early LLVM and we don't need them
set( LLVM_CXX_FLAGS ${LLVM_CXX_FLAGS} -fno-rtti -fno-exceptions )

# Print LLVM variables
message( "LLVM system libs: ${LLVM_SYSTEM_LIBS}" )
message( "LLVM libs: ${LLVM_LIBS}" )
message( "LLVM libdir: ${LLVM_LIBDIR}" )
message( "LLVM bindir: ${LLVM_BINDIR}" )
message( "LLVM ld flags: ${LLVM_LD_FLAGS}" )
message( "LLVM cxx flags: ${LLVM_CXX_FLAGS}" )
message( "" )

find_program( LLVM_CLANG clang PATHS ${LLVM_BINDIR} NO_DEFAULT_PATH )
find_program( LLVM_AS llvm-as PATHS ${LLVM_BINDIR} NO_DEFAULT_PATH )
find_program( LLVM_LINK llvm-link PATHS ${LLVM_BINDIR} NO_DEFAULT_PATH )
find_program( LLVM_OPT opt PATHS ${LLVM_BINDIR} NO_DEFAULT_PATH )

# Print toolchain
message( "clang: ${LLVM_CLANG}" )
message( "llvm-as: ${LLVM_AS}" )
message( "llvm-link: ${LLVM_LINK}" )
message( "opt: ${LLVM_OPT}" )
message( "" )
if( NOT LLVM_CLANG OR NOT LLVM_OPT OR NOT LLVM_AS OR NOT LLVM_LINK )
	message( FATAL_ERROR "toolchain incomplete!" )
endif()

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
set( CMAKE_CLC_COMPILER ${LLVM_CLANG} )
set( CMAKE_CLC_ARCHIVE ${LLVM_LINK} )
set( CMAKE_LLAsm_PREPROCESSOR ${LLVM_CLANG} )
set( CMAKE_LLAsm_COMPILER ${LLVM_AS} )
set( CMAKE_LLAsm_ARCHIVE ${LLVM_LINK} )
enable_language( CLC LLAsm )

# Construct LLVM version define
string( REPLACE "." ";" LLVM_VERSION_LIST ${LLVM_VERSION} )
list( GET LLVM_VERSION_LIST 0 LLVM_MAJOR )
list( GET LLVM_VERSION_LIST 1 LLVM_MINOR )
set( LLVM_VERSION_DEFINE "-DHAVE_LLVM=0x${LLVM_MAJOR}0${LLVM_MINOR}" )

# This needs to be set before any target that needs it
link_directories( ${LLVM_LIBDIR} )

# Setup prepare_builtins tools
add_executable( prepare_builtins utils/prepare-builtins.cpp )
target_compile_options( prepare_builtins PRIVATE ${LLVM_CXX_FLAGS} )
target_compile_definitions( prepare_builtins PRIVATE ${LLVM_VERSION_DEFINE} )
target_link_libraries( prepare_builtins PRIVATE ${LLVM_SYSTEM_LIBS} )
target_link_libraries( prepare_builtins PRIVATE ${LLVM_LIBS} )

# Setup arch devices
set( r600--_devices cedar cypress barts cayman )
set( amdgcn--_devices tahiti )
set( amdgcn-mesa-mesa3d_devices ${amdgcn--_devices} )
set( amdgcn--amdhsa_devices none )
set( nvptx--_devices none )
set( nvptx64--_devices none )
set( nvptx--nvidiacl_devices none )
set( nvptx64--nvidiacl_devices none )

# Setup aliases
set( cedar_aliases palm sumo sumo2 redwood juniper )
set( cypress_aliases hemlock )
set( barts_aliases turks caicos )
set( cayman_aliases aruba )
set( tahiti_aliases pitcairn verde oland hainan bonaire kabini kaveri hawaii
	mullins tonga iceland carrizo fiji stoney polaris10 polaris11 )

# Support for gfx9 was added in LLVM 5.0 (r295554)
if( ${LLVM_VERSION} VERSION_GREATER "4.99.99" )
	set( tahiti_aliases ${tahiti_aliases} gfx900 gfx902 )
endif()

# Support for Vega12 and Vega20 was added in LLVM 7 (r331215)
if( ${LLVM_VERSION} VERSION_GREATER "6.99.99" )
	set( tahiti_aliases ${tahiti_aliases} gfx904 gfx906 )
endif()

# pkg-config file
configure_file( libclc.pc.in libclc.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/libclc.pc DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig )
install( DIRECTORY generic/include/clc DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )

if( ENABLE_RUNTIME_SUBNORMAL )
	add_library( subnormal_use_default STATIC
		generic/lib/subnormal_use_default.ll )
	add_library( subnormal_disable STATIC
		generic/lib/subnormal_disable.ll )
	install( TARGETS subnormal_use_default subnormal_disable ARCHIVE
		DESTINATION ${CMAKE_INSTALL_DATADIR}/clc )
endif()

find_program( PYTHON python )
file( TO_CMAKE_PATH ${CMAKE_SOURCE_DIR}/generic/lib/gen_convert.py script_loc )
add_custom_command(
	OUTPUT convert.cl
	COMMAND ${PYTHON} ${script_loc} > convert.cl
	DEPENDS ${script_loc} )
add_custom_target( "generate_convert.cl" DEPENDS convert.cl )

enable_testing()

foreach( t ${LIBCLC_TARGETS_TO_BUILD} )
	message( "BUILDING ${t}" )
	string( REPLACE "-" ";" TRIPLE  ${t} )
	list( GET TRIPLE 0 ARCH )
	list( GET TRIPLE 1 VENDOR )
	list( GET TRIPLE 2 OS )

	set( dirs generic )
	if( ${ARCH} STREQUAL r600 OR ${ARCH} STREQUAL amdgcn )
		set( dirs ${dirs} amdgpu )
	endif()

	#nvptx is special
	if( ${ARCH} STREQUAL nvptx OR ${ARCH} STREQUAL nvptx64 )
		set( DARCH ptx )
	else()
		set( DARCH ${ARCH} )
	endif()

	# Enumerate SOURCES* files
	set( source_list )
	foreach( l ${dirs} ${DARCH} ${DARCH}-${OS} ${DARCH}-${VENDOR}-${OS} )
		foreach( s "SOURCES" "SOURCES_${LLVM_MAJOR}.${LLVM_MINOR}" )
			file( TO_CMAKE_PATH ${l}/lib/${s} file_loc )
			file( TO_CMAKE_PATH ${CMAKE_SOURCE_DIR}/${file_loc} loc )
			# Prepend the location to give higher priority to
			# specialized implementation
			if( EXISTS ${loc} )
				set( source_list ${file_loc} ${source_list} )
			endif()
		endforeach()
	endforeach()

	# Add the generated convert.cl here to prevent adding
	# the one listed in SOURCES
	set( rel_files convert.cl )
	set( objects convert.cl )
	if( NOT ENABLE_RUNTIME_SUBNORMAL )
		list( APPEND rel_files generic/lib/subnormal_use_default.ll )
	endif()

	foreach( l ${source_list} )
		file( READ ${l} file_list )
		string( REPLACE "\n" ";" file_list ${file_list} )
		get_filename_component( dir ${l} DIRECTORY )
		foreach( f ${file_list} )
			list( FIND objects ${f} found )
			if( found EQUAL  -1 )
				list( APPEND objects ${f} )
				list( APPEND rel_files ${dir}/${f} )
				# FIXME: This should really go away
				file( TO_CMAKE_PATH ${CMAKE_SOURCE_DIR}/${dir}/${f} src_loc )
				get_filename_component( fdir ${src_loc} DIRECTORY )

				set_source_files_properties( ${dir}/${f}
					PROPERTIES COMPILE_FLAGS "-I ${fdir}" )
			endif()
		endforeach()
	endforeach()

	foreach( d ${${t}_devices} )
		# Some targets don't have a specific GPU to target
		if( ${d} STREQUAL "none" )
			set( mcpu )
			set( arch_suffix "${t}" )
		else()
			set( mcpu "-mcpu=${d}" )
			set( arch_suffix "${d}-${t}" )
		endif()
		message( "	DEVICE: ${d} ( ${${d}_aliases} )" )

		add_library( builtins.link.${arch_suffix} STATIC ${rel_files} )
		# Make sure we depend on the pseudo target to prevent
		# multiple invocations
		add_dependencies( builtins.link.${arch_suffix}
			generate_convert.cl )
		# CMake will turn this include into absolute path
		target_include_directories( builtins.link.${arch_suffix} PRIVATE
			"generic/include" )
		target_compile_definitions( builtins.link.${arch_suffix} PRIVATE
			"__CLC_INTERNAL" )
		target_compile_options( builtins.link.${arch_suffix} PRIVATE  -target
			${t} ${mcpu} -fno-builtin )
		set_target_properties( builtins.link.${arch_suffix} PROPERTIES
			LINKER_LANGUAGE CLC )

		set( obj_suffix ${arch_suffix}.bc )

		# Add opt target
		add_custom_command( OUTPUT "builtins.opt.${obj_suffix}"
			            COMMAND ${LLVM_OPT} -O3 -o
				    "builtins.opt.${obj_suffix}"
				    "builtins.link.${obj_suffix}"
				    DEPENDS "builtins.link.${arch_suffix}" )
		add_custom_target( "opt.${obj_suffix}" ALL
		                   DEPENDS "builtins.opt.${obj_suffix}" )

		# Add prepare target
		add_custom_command( OUTPUT "${obj_suffix}"
			            COMMAND prepare_builtins -o
				    "${obj_suffix}"
				    "builtins.opt.${obj_suffix}"
				    DEPENDS "opt.${obj_suffix}"
				            "builtins.opt.${obj_suffix}"
				            prepare_builtins )
		add_custom_target( "prepare-${obj_suffix}" ALL
		                   DEPENDS "${obj_suffix}" )
		install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${obj_suffix} DESTINATION ${CMAKE_INSTALL_DATADIR}/clc )
		# nvptx-- targets don't include workitem builtins
		if( NOT ${t} MATCHES ".*ptx.*--$" )
			add_test( NAME external-calls-${obj_suffix}
				  COMMAND ./check_external_calls.sh ${CMAKE_CURRENT_BINARY_DIR}/${obj_suffix}
				  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} )
			set_tests_properties( external-calls-${obj_suffix}
				PROPERTIES ENVIRONMENT "LLVM_CONFIG=${LLVM_CONFIG}" )
		endif()


		foreach( a ${${d}_aliases} )
			set( alias_suffix "${a}-${t}.bc" )
			add_custom_target( ${alias_suffix} ALL
					   COMMAND ${CMAKE_COMMAND} -E
					   create_symlink ${obj_suffix}
					   ${alias_suffix}
			                   DEPENDS "prepare-${obj_suffix}" )
			install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${alias_suffix} DESTINATION ${CMAKE_INSTALL_DATADIR}/clc )
		endforeach( a )
	endforeach( d )
endforeach( t )

## libclc 0~git20130819

=== debian/changelog ===
libclc (0~git20130819-2) unstable; urgency=low

  * Add libclc-dev dependency to libclc-r600 and libclc-ptx.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Sep 2013 15:37:50 +0000

libclc (0~git20130819-1) unstable; urgency=low

  [ Julian Wollrath ]
  * Initial release (closes: #719909).

  [ Michael Gilbert ]
  * Add debian/watch.
  * Simplify debian/rules.
  * Improve debian/control.
  * Set maintainer to the Debian OpenCL team.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 02 Sep 2013 17:56:00 +0000

=== debian/control ===
Source: libclc
Section: libs
Priority: extra
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Julian Wollrath <jwollrath@web.de>,
Build-Depends:
 debhelper (>= 9),
 llvm-3.3-dev,
 clang-3.3,
 python,
Standards-Version: 3.9.4
Homepage: http://libclc.llvm.org

Package: libclc-ptx
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
Description: OpenCL C language implementation - ptx support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the PTX platform.

Package: libclc-r600
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
Description: OpenCL C language implementation - r600 support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the r600 (AMD GPU) platform.

Package: libclc-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 libclang-common-3.3-dev,
Description: OpenCL C language implementation - development files
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains development header files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

confflags=--prefix=/usr \
          --with-llvm-config=/usr/bin/llvm-config-3.3 \

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	test ! -e Makefile || make clean
	rm -f Makefile libclc.pc
	find -name '*.pyc' -execdir rm -f {} \;
	find -name '*.d' -execdir rm -f {} \;

## libclc 0~git20140101

=== debian/changelog ===
libclc (0~git20140101-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * New upstream snapshot.
  * Use LLVM 3.4 and correct dependencies.
  * Enable verbose build.
  * Bump standards version to 3.9.5 (no changes needed).
  * Update years in debian/copyright.

  [ Michael Gilbert ]
  * Eliminate duplicated files.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 10 Jan 2014 02:46:15 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Julian Wollrath <jwollrath@web.de>,
 Build-Depends:
  debhelper (>= 9),
- llvm-3.3-dev,
- clang-3.3,
+ llvm-3.4-dev,
+ clang-3.4,
  python,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://libclc.llvm.org
 
 Package: libclc-ptx
@@ -18,6 +18,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
+ libclang-common-3.4-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -29,6 +30,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
+ libclang-common-3.4-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -40,7 +42,6 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- libclang-common-3.3-dev,
 Description: OpenCL C language implementation - development files
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export VERBOSE=1

confflags=--prefix=/usr \
          --with-llvm-config=/usr/bin/llvm-config-3.4 \

path=debian/tmp/usr/lib/clc

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py $(confflags)

override_dh_install:
	test $(shell sha512sum $(path)/cypress-r600--.bc) != $(shell sha512sum $(path)/cayman-r600--.bc) || \
	    rm -f $(path)/cypress-r600--.bc && \
	    ln -s cayman-r600--.bc $(path)/cypress-r600--.bc
	test $(shell sha512sum $(path)/cedar-r600--.bc) != $(shell sha512sum $(path)/barts-r600--.bc) || \
	    rm -f $(path)/cedar-r600--.bc && \
	    ln -s barts-r600--.bc $(path)/cedar-r600--.bc
	dh_install

override_dh_clean:
	test ! -e Makefile || make clean
	find -name '*.pyc' -execdir rm -f {} \;
	find -name '*.d' -execdir rm -f {} \;
	dh_clean -- Makefile libclc.pc

=== debian/watch ===
# upstream uses git, but has made no tags, so there is currently no way to
# watch upstream changes

## libclc 0.2.0%2Bgit20180917

=== debian/control ===
Source: libclc
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Andreas Boll <aboll@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>,
Build-Depends:
 debhelper (>= 11),
 python,
 clang-7,
 llvm-7-dev,
 zlib1g-dev,
 libedit-dev,
Standards-Version: 4.1.4
Homepage: https://libclc.llvm.org
Vcs-Browser: https://salsa.debian.org/opencl-team/libclc
Vcs-Git: https://salsa.debian.org/opencl-team/libclc.git

Package: libclc-ptx
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-7-dev,
Description: OpenCL C language implementation - ptx support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the PTX platform.

Package: libclc-amdgcn
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-7-dev,
Description: OpenCL C language implementation - amdgcn support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the amdgcn (AMD GPU) platform.
 Supported GPU families: Southern Islands and newer.

Package: libclc-r600
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-7-dev,
Description: OpenCL C language implementation - r600 support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the r600 (AMD GPU) platform.
 Supported GPU families: Evergreen and Northern Islands.

Package: libclc-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: OpenCL C language implementation - development files
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains development header files.

## libclc 0.2.0+git20150813

=== debian/changelog ===
libclc (0.2.0+git20150813-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 09 Sep 2016 12:27:38 +0200

libclc (0.2.0+git20150813-3) unstable; urgency=medium

  * Bump standards version.
  * Build with clang 3.8 (closes: #832014).
  * Add support for aditional GPU devices (closes: 823677).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Jul 2016 22:47:05 +0000

libclc (0.2.0+git20150813-2) unstable; urgency=medium

  * Enable build hardening flags.
  * Add a package supporting the radeon amdgcn architecture (closes: #788219).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Sep 2015 18:39:13 +0000

libclc (0.2.0+git20150813-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * Bump llvm to 3.7.
  * Remove clang3.5.patch.

  [ Andreas Boll ]
  * Remove system-clang.patch.
  * Add supported GPU families to description.
  * Bump standards version to 3.9.6 (no changes needed).
  * Fix Lintian warning: invalid-short-name-in-dep5-copyright bsd.

  [ Andreas Beckmann ]
  * Imported packaging history into GIT.
  * Add Vcs-* URLs.

  [ Michael Gilbert ]
  * Upload to unstable.
  * Simplify the clean rule.
  * Include README.TXT and CREDITS.TXT files.
  * Move debian/watch to debian/README.source.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 13 Sep 2015 20:47:52 +0000

libclc (0~git20140101-5) unstable; urgency=medium

  * Depend on libclang-common-3.5-dev (closes: #767146).
  * Add zlib1g-dev to the build-dependencies (closes: #768759).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 10 Nov 2014 23:12:05 +0000

libclc (0~git20140101-4) unstable; urgency=medium

  * Support clang 3.5 as the new default (closes: #764835).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Oct 2014 20:16:32 +0000

libclc (0~git20140101-3) unstable; urgency=medium

  * Build-depend llvm-dev instead of llvm (closes: #760665).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 06 Sep 2014 23:13:21 +0000

libclc (0~git20140101-2) unstable; urgency=medium

  * Remove Julian Wolrath from the uploaders.
  * Build-depend on default clang and llvm packages (closes: #759943).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 01 Sep 2014 23:10:28 +0000

=== debian/control ===
Source: libclc
Section: libs
Priority: extra
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
Build-Depends:
 debhelper (>= 9),
 python,
 clang-3.8,
 llvm-3.8-dev,
 zlib1g-dev,
 libedit-dev,
Standards-Version: 3.9.8
Homepage: http://libclc.llvm.org
Vcs-Git: git://anonscm.debian.org/pkg-opencl/libclc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git

Package: libclc-ptx
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-3.8-dev,
Description: OpenCL C language implementation - ptx support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the PTX platform.

Package: libclc-amdgcn
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-3.8-dev,
Description: OpenCL C language implementation - amdgcn support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the amdgcn (AMD GPU) platform.
 Supported GPU families: Southern Islands and newer.

Package: libclc-r600
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-3.8-dev,
Description: OpenCL C language implementation - r600 support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the r600 (AMD GPU) platform.
 Supported GPU families: Evergreen and Northern Islands.

Package: libclc-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenCL C language implementation - development files
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains development header files.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
 export VERBOSE=1
 
+export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 confflags=--prefix=/usr \
-          --with-llvm-config=/usr/bin/llvm-config-3.4 \
+          --with-llvm-config=/usr/bin/llvm-config-3.8 \
 
 path=debian/tmp/usr/lib/clc
 
@@ -24,7 +27,5 @@
 	dh_install
 
 override_dh_clean:
-	test ! -e Makefile || make clean
-	find -name '*.pyc' -execdir rm -f {} \;
+	dh_clean
 	find -name '*.d' -execdir rm -f {} \;
-	dh_clean -- Makefile libclc.pc

## libclc 0.2.0+git20160907

=== debian/changelog ===
libclc (0.2.0+git20160907-4) unstable; urgency=medium

  [ Andreas Boll ]
  * Team upload.
  * Add a patch to fix the functions get_global_size, get_local_size and
    get_num_groups on amdgcn with LLVM 3.9 (closes: #857591).

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 May 2017 20:04:26 +0300

libclc (0.2.0+git20160907-3) unstable; urgency=medium

  * Simplify clang version updates.
  * Drop de-duplication of files that aren't duplicate any more.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 03:35:48 +0000

libclc (0.2.0+git20160907-2) unstable; urgency=medium

  [ Andreas Boll ]
  * Declare Multi-Arch: foreign for all packages (closes: #845314).

  [ Michael Gilbert ]
  * Update to debhelper 10.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 02:35:37 +0000

libclc (0.2.0+git20160907-1) experimental; urgency=medium

  * New upstream snapshot (closes: #836960).
  * Build with clang 3.9.
  * Drop devices.patch, upstream.
  * Use https for Vcs-Git field.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Sep 2016 09:20:06 +0300

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  python,
- clang-3.8,
- llvm-3.8-dev,
+ clang-3.9,
+ llvm-3.9-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 3.9.8
 Homepage: http://libclc.llvm.org
-Vcs-Git: git://anonscm.debian.org/pkg-opencl/libclc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
 
 Package: libclc-ptx
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.8-dev,
+ libclang-common-3.9-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -30,10 +31,11 @@
 
 Package: libclc-amdgcn
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.8-dev,
+ libclang-common-3.9-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -43,10 +45,11 @@
 
 Package: libclc-r600
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.8-dev,
+ libclang-common-3.9-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -57,6 +60,7 @@
 Package: libclc-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: OpenCL C language implementation - development files

## libclc 0.2.0+git20170213

=== debian/changelog ===
libclc (0.2.0+git20170213-1~build1) zesty; urgency=medium

  [ Andreas Boll ]
  * Simplify clang version updates even more.

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * clang: Bump clang version to 4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Feb 2017 15:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends:
  debhelper (>= 10),
  python,
- clang-3.9,
- llvm-3.9-dev,
+ clang-4.0,
+ llvm-4.0-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 3.9.8
@@ -22,7 +22,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.9-dev,
+ libclang-common-4.0-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -35,7 +35,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.9-dev,
+ libclang-common-4.0-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -49,7 +49,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.9-dev,
+ libclang-common-4.0-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

## libclc 0.2.0+git20170330

=== debian/changelog ===
libclc (0.2.0+git20170330-3) experimental; urgency=medium

  * clang: Bump to 5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 31 Aug 2017 12:07:21 +0300

libclc (0.2.0+git20170330-2) unstable; urgency=medium

  * Switch some URLs to https.
  * Bump standards version to 4.0.0.
  * Add myself to Uploaders.
  * Upload to unstable (Closes: #865925).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 26 Jun 2017 09:41:29 +0200

libclc (0.2.0+git20170330-1) experimental; urgency=medium

  * New upstream snapshot.
    - math: Add native_tan as wrapper to tan (Closes: #857710).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 30 Mar 2017 12:24:13 +0200

libclc (0.2.0+git20170213-1) experimental; urgency=medium

  [ Andreas Boll ]
  * Simplify clang version updates even more.

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * clang: Bump clang version to 4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Feb 2017 15:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
+ Andreas Boll <andreas.boll.dev@gmail.com>,
 Build-Depends:
  debhelper (>= 10),
  python,
- clang-4.0,
- llvm-4.0-dev,
+ clang-5.0,
+ llvm-5.0-dev,
  zlib1g-dev,
  libedit-dev,
-Standards-Version: 3.9.8
-Homepage: http://libclc.llvm.org
+Standards-Version: 4.0.0
+Homepage: https://libclc.llvm.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
 
@@ -22,7 +23,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-4.0-dev,
+ libclang-common-5.0-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -35,7 +36,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-4.0-dev,
+ libclang-common-5.0-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -49,7 +50,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-4.0-dev,
+ libclang-common-5.0-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

## libclc 0.2.0+git20180312

=== debian/changelog ===
libclc (0.2.0+git20180312-1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1772632)
    - don't use debhelper 10

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 May 2018 20:45:10 +0300

libclc (0.2.0+git20180312-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Mar 2018 14:03:38 +0200

libclc (0.2.0+git20171106-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh hardening.patch.
  * Change priority from extra to optional.
  * Bump standards version to 4.1.1.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 06 Nov 2017 16:02:16 +0100

libclc (0.2.0+git20170330-4) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Sep 2017 14:36:09 +0300

libclc (0.2.0+git20170330-3~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - don't use debhelper 10

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Nov 2017 19:11:36 +0200

libclc (0.2.0+git20160907-3ubuntu0.16.04.1) UNRELEASED; urgency=medium

   * don't use debhelper 10

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Dec 2016 12:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libclc
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Andreas Boll <andreas.boll.dev@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 9),
  python,
- clang-5.0,
- llvm-5.0-dev,
+ clang-6.0,
+ llvm-6.0-dev,
  zlib1g-dev,
  libedit-dev,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://libclc.llvm.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
@@ -23,7 +23,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-5.0-dev,
+ libclang-common-6.0-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -36,7 +36,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-5.0-dev,
+ libclang-common-6.0-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -50,7 +50,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-5.0-dev,
+ libclang-common-6.0-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

=== debian/rules ===
#!/usr/bin/make -f

export VERBOSE=1

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

LLVM_CONFIG=/usr/bin/llvm-config-$(shell cat debian/clang)

debian/control: debian/control.in
	sed "s/CLANG_VERSION/$(shell cat debian/clang)/g" < $< > $@

%: debian/control
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py --prefix=/usr --with-llvm-config=$(LLVM_CONFIG)

## libclc 0.2.0+git20180518

=== debian/changelog ===
libclc (0.2.0+git20180518-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Boll <aboll@debian.org>  Thu, 23 Aug 2018 19:48:59 +0200

libclc (0.2.0+git20180518-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Update to my Debian address.
  * Bump debhelper compat to 11.
  * Bump standards version to 4.1.4.

 -- Andreas Boll <aboll@debian.org>  Fri, 18 May 2018 21:11:16 +0200

libclc (0.2.0+git20180312-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch Vcs-* URLs to salsa.debian.org.
  * Add Timo Aaltonen to Uploaders.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 May 2018 13:56:57 +0300

libclc (0.2.0+git20171106-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jérémy Viès <jeremy.vies@gmail.com>  Wed, 22 Nov 2017 10:53:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
- Andreas Boll <andreas.boll.dev@gmail.com>,
+ Andreas Boll <aboll@debian.org>,
+ Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  python,
  clang-6.0,
  llvm-6.0-dev,
  zlib1g-dev,
  libedit-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://libclc.llvm.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/libclc
+Vcs-Git: https://salsa.debian.org/opencl-team/libclc.git
 
 Package: libclc-ptx
 Architecture: all

## libclc 0.2.0+git20180917

=== debian/changelog ===
libclc (0.2.0+git20180917-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Dec 2018 10:29:08 -0800

libclc (0.2.0+git20180917-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Boll <aboll@debian.org>  Mon, 19 Nov 2018 13:37:07 +0100

libclc (0.2.0+git20180917-2) experimental; urgency=medium

  * Drop -fstack-protector-strong from hardening flags. Fixes some
    OpenCL apps (Closes: #904718).
  * rules: Improve clang version updates.

 -- Andreas Boll <aboll@debian.org>  Wed, 10 Oct 2018 17:56:14 +0200

libclc (0.2.0+git20180917-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 7.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 17 Sep 2018 13:23:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libclc
 Section: libs
 Priority: optional
-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Andreas Boll <aboll@debian.org>,
@@ -9,8 +10,8 @@
 Build-Depends:
  debhelper (>= 11),
  python,
- clang-6.0,
- llvm-6.0-dev,
+ clang-7,
+ llvm-7-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 4.1.4
@@ -24,7 +25,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-6.0-dev,
+ libclang-common-7-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -37,7 +38,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-6.0-dev,
+ libclang-common-7-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -51,7 +52,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-6.0-dev,
+ libclang-common-7-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

## libclc 0.2.0+git20190306

=== debian/changelog ===
libclc (0.2.0+git20190306-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 8.
  * hardening.patch: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Mar 2019 11:02:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libclc
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Andreas Boll <aboll@debian.org>,
@@ -10,8 +9,8 @@
 Build-Depends:
  debhelper (>= 11),
  python,
- clang-7,
- llvm-7-dev,
+ clang-8,
+ llvm-8-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 4.1.4
@@ -25,7 +24,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-7-dev,
+ libclang-common-8-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -38,7 +37,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-7-dev,
+ libclang-common-8-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -52,7 +51,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-7-dev,
+ libclang-common-8-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

## libclc 0.2.0+git20190827

=== debian/changelog ===
libclc (0.2.0+git20190827-1ubuntu0.18.04.3) bionic; urgency=medium

  * clang: Bump to 10. (LP: #1882901)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jun 2020 11:29:07 +0300

libclc (0.2.0+git20190827-1ubuntu0.18.04.2) bionic-security; urgency=medium

  * No change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 01 Feb 2020 11:38:04 -0500

libclc (0.2.0+git20190827-1ubuntu0.18.04.1) bionic; urgency=medium

  * hardening.patch: Dropped, breaks opencl runtime. (LP: #1860042)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jan 2020 10:22:43 +0200

libclc (0.2.0+git20190827-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 21 Oct 2019 23:59:47 +0300

libclc (0.2.0+git20190827-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 9.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Aug 2019 10:47:00 +0300

libclc (0.2.0+git20190306-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jul 2019 23:46:30 +0300

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends:
  debhelper (>= 11),
  python,
- clang-8,
- llvm-8-dev,
+ clang-10,
+ llvm-10-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 4.1.4
@@ -24,7 +24,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-8-dev,
+ libclang-common-10-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -37,7 +37,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-8-dev,
+ libclang-common-10-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -51,7 +51,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-8-dev,
+ libclang-common-10-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 LLVM_CONFIG=/usr/bin/llvm-config-$(shell cat debian/clang)
 
-debian/control: debian/control.in
+debian/control: debian/control.in debian/clang
 	sed "s/CLANG_VERSION/$(shell cat debian/clang)/g" < $< > $@
 
 %: debian/control
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	./configure.py --prefix=/usr --with-llvm-config=$(LLVM_CONFIG)
